/*
 * int070atft-ts.h
 *
 *  Created on: 10.12.2012
 *      Author: emlin
 */

#ifndef INT070ATFT_TS_H_
#define INT070ATFT_TS_H_

// -----------------------------------------------------------------------------
#define TFT_COLS					800
#define TFT_ROWS					480
// adresa prvniho (SC) a posledniho (EC) sloupce
#define TFT_SC						0x0000
#define TFT_EC						(TFT_COLS - 1)
// adresa prvni (SP) a posledni (EC) stranky
#define TFT_SP						0x0000
#define TFT_EP						(TFT_ROWS - 1)

// -----------------------------------------------------------------------------
#define TFT_COLOR_DEPTH_BYTES		2	// 2 = 16bit, 4 = 18/24bits

// -----------------------------------------------------------------------------
// ridici signaly TFT - prirazeni pinu
#define TFT_nCS						AT91_PIN_PC8
#define TFT_DC						AT91_PIN_PC9
#define TFT_nRD						AT91_PIN_PC10
#define TFT_nWR						AT91_PIN_PC11

// ridici signaly LCD - maska do registru
#define TFT_nCS_PIN_MASK			(1 << 8)
#define TFT_DC_PIN_MASK				(1 << 9)
#define TFT_nRD_PIN_MASK			(1 << 10)
#define TFT_nWR_PIN_MASK			(1 << 11)
// PC16 - PC31 / 16bit data bus
#define TFT_DB0_DB15_PIN_MASK		0xFFFF0000

#define TFT_CTRL_PINS_MASK			\
	(TFT_nCS_PIN_MASK | TFT_DC_PIN_MASK | TFT_nRD_PIN_MASK | TFT_nWR_PIN_MASK)

// -----------------------------------------------------------------------------

#endif /* INT070ATFT_TS_H_ */
